unit Unit10;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, OvalBtn, ColorGrd, ExtCtrls,shellapi;

type
  TForm10 = class(TForm)
    Label1: TLabel;
    OvalButton1: TOvalButton;
    OvalButton2: TOvalButton;
    Edit1: TEdit;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Label5: TLabel;
    ColorGrid1: TColorGrid;
    Shape1: TShape;
    Label6: TLabel;
    Shape2: TShape;
    Label7: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    OvalButton3: TOvalButton;
    ColorDialog1: TColorDialog;
    procedure OvalButton3Click(Sender: TObject);
    procedure ColorGrid1Change(Sender: TObject);
    procedure Shape1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Shape2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure OvalButton1Click(Sender: TObject);
    procedure OvalButton2Click(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Form10: TForm10;

implementation

uses Unit2, Unit8;

{$R *.DFM}

procedure TForm10.OvalButton3Click(Sender: TObject);
begin
shellexecute( handle,'open',pchar(form2.hint+'help\startcode.txt'),'','',sw_show);
end;

procedure TForm10.ColorGrid1Change(Sender: TObject);
begin
shape1.Brush.Color:=ColorGrid1.ForegroundColor;
shape2.Brush.Color:=ColorGrid1.BackgroundColor;
end;

procedure TForm10.Shape1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if ColorDialog1.Execute then Shape1.Brush.Color:=ColorDialog1.Color;
end;

procedure TForm10.Shape2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if ColorDialog1.Execute then Shape2.Brush.Color:=ColorDialog1.Color;
end;

procedure TForm10.OvalButton1Click(Sender: TObject);
var s:string;
begin
form8.Memo1.Clear;
form8.Memo1.Lines.Add(Edit3.Text);
form8.Memo1.Lines.Add(ColorToString(Shape1.Brush.Color));
if CheckBox2.Checked then
  form8.Memo1.Lines.Add('1')
 else
  form8.Memo1.Lines.Add('0');
if CheckBox3.Checked then
  form8.Memo1.Lines.Add('1')
 else
  form8.Memo1.Lines.Add('0');
form8.Memo1.Lines.Add(edit1.text);
form8.Memo1.Lines.Add(ColorToString(Shape2.Brush.Color));
s:=DirectoryListBox1.Directory;
if s[length(s)] <>'\' then s:=s+'\';
form8.Memo1.Lines.SaveToFile(s+'bbsinf.bbo');
CopyFile(pchar(form2.hint+'starter.exe'),pchar(s+'starter.exe'),false);

showMessage('Im ausgewhlten Verzeichnis befindet sich jetzt die Dateien "bbsinf.bbo"und  "starter.exe". Vergessen sie nicht den Code in ihre WDL-Datei einzubauen.');
ModalResult:=mrOK;
end;

procedure TForm10.OvalButton2Click(Sender: TObject);
begin
ModalResult:=mrcancel;
end;

end.
